Bug 752055 - Broken dependecies: libmtp-hal
Broken dependecies: libmtp-hal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 08:05 EST by Miroslav Suchý
Modified: 2011-12-05 20:02 EST (History)
1 user (show)

See Also:
Fixed In Version: libmtp-1.1.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-05 20:02:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2011-11-08 08:05:42 EST
Description of problem:
When you try to upgrade from Fedora 15 to F16 using 
http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum
You get:
Error: Package: libmtp-hal-1.0.6-3.fc15.x86_64 (@updates/15)
           Requires: libmtp = 1.0.6-3.fc15
           Removing: libmtp-1.0.6-3.fc15.x86_64 (@updates/15)
               libmtp = 1.0.6-3.fc15
           Updated By: libmtp-1.1.0-1.fc16.x86_64 (fedora)
               libmtp = 1.1.0-1.fc16

According
http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
libmtp in F16 should obsolete libmtp-hal < 1.1.0
Comment 1 Linus Walleij 2011-11-09 19:01:41 EST
OK I just put in:

Obsoletes: libmtp-hal

That should do it I think?
Comment 2 Fedora Update System 2011-11-09 19:05:52 EST
libmtp-1.1.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmtp-1.1.1-2.fc16
Comment 3 Fedora Update System 2011-11-10 12:48:57 EST
Package libmtp-1.1.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15703
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-12-05 20:02:51 EST
libmtp-1.1.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.